YaBB SE Community

YaBB SE Info => News From the YaBB SE Team => Topic started by: Jeff Lewis on March 02, 2004, 06:55:06 PM

Title: New patch for Yse 1.5.5
Post by: Jeff Lewis on March 02, 2004, 06:55:06 PM
We have been notified of a small hole in YSE and as a result we have posted a patch on the downloads page.

There are two options to correct this. You can use BoardMOD to install the mod file or you can replace the default Post.php and ModifyMessage.php with the version in the download.

A special thanks to our Spanish users for this notification.

A direct link is: http://www.yabbse.org/1_5_5_b_patch.zip

Also, a reminder that this site will close down March 31st and users are encouraged to convert to our new project located at http://www.simplemachines.org where all of our development efforts have been focused on for some time now.
Title: Re:New patch for Yse 1.5.5
Post by: 7summits on March 02, 2004, 07:10:29 PM
Hey Jeff,

I could not find
Code: [Select]
$quotemsg = $quote;in post.php
just
Code: [Select]
      $quotemsg = empty($quote) ? '' : (int) $quote;

is that what you meant to past the new code before?

Thanks,
7summits
Title: Re:New patch for Yse 1.5.5
Post by: Jeff Lewis on March 02, 2004, 07:21:12 PM
Ugh sorry, I got a bit overzealous there. I posted the existing patch in this new one. I have updated the download and only ModifyMessage.zip needs to be changed if you've already installed the previous patch.
Title: Re:New patch for Yse 1.5.5
Post by: lbyard on March 02, 2004, 11:29:51 PM
I am a bit confused...  I downloaded what was at the link in your first post.  It has ModifyMessage.php in it.  You mention Post.php  and a previous patch?  Larry
Title: Re:New patch for Yse 1.5.5
Post by: TerjeViken on March 03, 2004, 01:25:17 AM
I have replace the default ModifyMessage.php with the ModifyMessage.php. Then I got this msg with the versjon test:

"The most recent version of ModifyMessage.php is YaBB SE 1.5.4 while your version is YaBB SE 1.5.5b."

I hope its correct done..

regard and thanks from
Terje
Title: Re:New patch for Yse 1.5.5
Post by: Winters on March 03, 2004, 02:47:29 AM
Same here, so I'm guessing it's alright and the Version check has got it wrong...

Hey Jeff, thanks for the patch. I did it manually. Just a notice, my Board mod kept searching for ModifyMessage.php in the root directory, not in Sources.
Title: Re:New patch for Yse 1.5.5
Post by: Jeff Lewis on March 03, 2004, 12:42:15 PM
That is correct the version check is wrong.

While we're trying to keep patches out, the development time just isn't being devoted to YSE anymore since it's closing down. Therefore, the version checker is out of whack, our apologies.
Title: Re:New patch for Yse 1.5.5
Post by: Ayeka on March 03, 2004, 12:43:55 PM
...Also, a reminder that this site will close down March 31st and users are encouraged to convert to our new project located at http://www.simplemachines.org where all of our development efforts have been focused on for some time now.

I have a silly question:  How are we supposed to convert when SMF hasn't even been released to the general public yet?  Or will it be released before March 31st?
Title: Re:New patch for Yse 1.5.5
Post by: Jeff Lewis on March 03, 2004, 12:45:59 PM
Naturally one would think it would be released before that date.

Unknown just updated my largest site to it this week.

http://www.tmlfans.ca/forums

Basically, thre will be an alternative before YSE closes down.
Title: Re:New patch for Yse 1.5.5
Post by: MagstaBanane on March 03, 2004, 05:38:30 PM
i hope there will be a non-beta version and charter membership will not be required to download...?
Title: Re:New patch for Yse 1.5.5
Post by: Peter Duggan on March 03, 2004, 05:52:32 PM
To answer these questions for the umpteenth time:

1. Of course there'll be a non-beta version sometime.
2. Charter membership will not be required to download the *public* beta.
3. The public beta should be released before this site closes.
4. No final version can be released till the public beta and release candidates have been properly tested.
Title: Re:New patch for Yse 1.5.5
Post by: [Unknown] on March 03, 2004, 05:55:31 PM
i hope there will be a non-beta version and charter membership will not be required to download...?

There are numerous topics stating that this will be the case.

-[Unknown]
Title: Re:New patch for Yse 1.5.5
Post by: homie on March 03, 2004, 08:25:18 PM
So whats the estimate of SMF being released to regular members
Title: Re:New patch for Yse 1.5.5
Post by: BusteD on March 03, 2004, 11:29:10 PM
there seem to b a new vuln in the yaBBSE,
can u guys patch it,
it seems pretty serious

I have seen some other guys providing a patch,
Title: Re:New patch for Yse 1.5.5
Post by: Jeff Lewis on March 04, 2004, 01:09:45 AM
We patched any known ones to us...if you know of another, PM one of the admin/developers.